GET /serviceengine/{uuid}/metrics/
/serviceengine/{uuid}/metrics/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"l4_pool_met_msgs_read": 0,
"l4_vs_met_msgs_read": 0,
"l7_pool_met_msgs_read": 0,
"l7_vs_met_msgs_read": 0,
"metrics_objs": [
{
"connect_in_progress": false,
"connected": false,
"controller_ip": "string",
"ctlr_send_interval_max_time": 0,
"delayed_metrics_response": 0,
"disable_server_analytics": false,
"eastwest": false,
"effective_controller_ip": "string",
"last_cleared_timestamp": 0,
"last_read_version": 0,
"met_read_state": "string",
"metrics_mgr_port": "string",
"num_dos_msgs_sent": 0,
"num_drops": 0,
"num_metrics_msgs_sent": 0,
"num_misses": 0,
"num_resets": 0,
"num_update_errors": 0,
"rt_metrics": false,
"status": "string",
"timer_interval": 0,
"type": "string",
"uuid": "string"
}
],
"non_rt_met_batch_size": 0,
"non_rt_met_update_timer_running": false,
"non_rt_metrics_entities": 0,
"non_rt_metrics_timer_interval": 0,
"num_dos_msgs_sent": 0,
"num_metrics_msgs_sent": 0,
"rt_met_batch_size": 0,
"rt_met_update_timer_running": false,
"rt_metrics_entities": 0,
"rt_metrics_timer_interval": 0,
"se_met_msgs_read": 0,
"total_entities": 0
}
Total number of L4 Pool-metrics messages read from shm. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Total number of L4 VS-metrics messages read from shm. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Total number of L7 Pool-metrics messages read from shm. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Total number of L7 VS-metrics messages read from shm. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of non-rt metrics objects processed by se_dp in one timer interval. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Flag to indicate if metrics update timer is running on se_dp. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Total number of non-real-time metrics objects. Field introduced in 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Period in milliseconds at which non-real-time metrics is collected. Field introduced in 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Cumulative count of dos messages sent to metrics-mgr across all targets. Field introduced in 22.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Cumulative count of metrics messages sent to metrics-mgr across all targets. Field introduced in 22.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of rt-metrics objects processed by se_dp in one timer interval. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Flag to indicate if rt-metrics update timer is running on se_dp. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Total number of real-time metrics objects. Field introduced in 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Period in milliseconds at which real-time metrics is collected. Field introduced in 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Total number of SE-metrics messages read from shm. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Total number of metrics objects. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/serviceengine/{uuid}/metrics